<?php

  $rc_drone_theme_custom_setting_css = '';

	// Global Color
	$rc_drone_theme_color = get_theme_mod('rc_drone_theme_color', '#FE9900');

	$rc_drone_theme_custom_setting_css .=':root {';
		$rc_drone_theme_custom_setting_css .='--primary-theme-color: '.esc_attr($rc_drone_theme_color ).'!important;';
	$rc_drone_theme_custom_setting_css .='}';

	// Scroll to top alignment
	$rc_drone_scroll_alignment = get_theme_mod('rc_drone_scroll_alignment', 'right');

    if($rc_drone_scroll_alignment == 'right'){
        $rc_drone_theme_custom_setting_css .='.scroll-up{';
            $rc_drone_theme_custom_setting_css .='right: 30px;!important;';
			$rc_drone_theme_custom_setting_css .='left: auto;!important;';
        $rc_drone_theme_custom_setting_css .='}';
    }else if($rc_drone_scroll_alignment == 'center'){
        $rc_drone_theme_custom_setting_css .='.scroll-up{';
            $rc_drone_theme_custom_setting_css .='left: calc(50% - 10px) !important;';
        $rc_drone_theme_custom_setting_css .='}';
    }else if($rc_drone_scroll_alignment == 'left'){
        $rc_drone_theme_custom_setting_css .='.scroll-up{';
            $rc_drone_theme_custom_setting_css .='left: 30px;!important;';
			$rc_drone_theme_custom_setting_css .='right: auto;!important;';
        $rc_drone_theme_custom_setting_css .='}';
    }	

	// Related Product

	$rc_drone_show_related_product = get_theme_mod('rc_drone_show_related_product', true );

	if($rc_drone_show_related_product != true){
		$rc_drone_theme_custom_setting_css .='.related.products{';
			$rc_drone_theme_custom_setting_css .='display: none;';
		$rc_drone_theme_custom_setting_css .='}';
	} 
	
	// Featured Image Hover Effect
    $rc_drone_show_featured = get_theme_mod('rc_drone_featured_image_hide_show', 1);
    $rc_drone_hover_effect = get_theme_mod('rc_drone_single_post_featured_image_hover','none');

    if ( $rc_drone_show_featured && $rc_drone_hover_effect !== 'none' ) {

    $rc_drone_theme_custom_setting_css .= '
    .post-img img{
        transition: all 0.4s ease;
    }';

    if ( $rc_drone_hover_effect === 'zoom-in' ) {
        $rc_drone_theme_custom_setting_css .= '
        .post-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $rc_drone_hover_effect === 'zoom-out' ) {
        $rc_drone_theme_custom_setting_css .= '
        .post-img img{ transform: scale(1.2); }
        .post-img:hover img{ transform: scale(1); }';
    }

    if ( $rc_drone_hover_effect === 'grayscale' ) {
        $rc_drone_theme_custom_setting_css .= '
        .post-img img{ filter: grayscale(100%); }
        .post-img:hover img{ filter: grayscale(0); }';
    }

    if ( $rc_drone_hover_effect === 'sepia' ) {
        $rc_drone_theme_custom_setting_css .= '
        .post-img:hover img{ filter: sepia(100%); }';
    }

    if ( $rc_drone_hover_effect === 'blur' ) {
        $rc_drone_theme_custom_setting_css .= '
        .post-img:hover img{ filter: blur(3px); }';
    }

    if ( $rc_drone_hover_effect === 'bright' ) {
        $rc_drone_theme_custom_setting_css .= '
        .post-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $rc_drone_hover_effect === 'translate' ) {
        $rc_drone_theme_custom_setting_css .= '
        .post-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $rc_drone_hover_effect === 'scale' ) {
        $rc_drone_theme_custom_setting_css .= '
        .post-img:hover img{ transform: scale(1.1); }';
    }
}

// Product Featured Image Hover Effect
    $rc_drone_show_featured = get_theme_mod('rc_drone_featured_image_hide_show', 1);
    $rc_drone_hover_effect = get_theme_mod('rc_drone_product_featured_image_hover','none');

    if ( $rc_drone_show_featured && $rc_drone_hover_effect !== 'none' ) {

    $rc_drone_theme_custom_setting_css .= '
    .product-img img{
        transition: all 0.4s ease;
    }';

    if ( $rc_drone_hover_effect === 'zoom-in' ) {
        $rc_drone_theme_custom_setting_css .= '
        .product-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $rc_drone_hover_effect === 'zoom-out' ) {
        $rc_drone_theme_custom_setting_css .= '
        .product-img img{ transform: scale(1.2); }
        .product-img:hover img{ transform: scale(1); }';
    }

    if ( $rc_drone_hover_effect === 'grayscale' ) {
        $rc_drone_theme_custom_setting_css .= '
        .product-img img{ filter: grayscale(100%); }
        .product-img:hover img{ filter: grayscale(0); }';
    }

    if ( $rc_drone_hover_effect === 'sepia' ) {
        $rc_drone_theme_custom_setting_css .= '
        .product-img:hover img{ filter: sepia(100%); }';
    }

    if ( $rc_drone_hover_effect === 'blur' ) {
        $rc_drone_theme_custom_setting_css .= '
        .product-img:hover img{ filter: blur(3px); }';
    }

    if ( $rc_drone_hover_effect === 'bright' ) {
        $rc_drone_theme_custom_setting_css .= '
        .product-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $rc_drone_hover_effect === 'translate' ) {
        $rc_drone_theme_custom_setting_css .= '
        .product-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $rc_drone_hover_effect === 'scale' ) {
        $rc_drone_theme_custom_setting_css .= '
        .product-img:hover img{ transform: scale(1.1); }';
    }
}   